---
- name: resolve platform specific vars
  include_vars: '{{ docker_vars }}'
  with_first_found:
    - files:
        - '{{ ansible_distribution }}-{{ ansible_distribution_release }}.yml'
        - '{{ ansible_distribution }}.yml'
        - '{{ ansible_os_family }}.yml'
      skip: true
      paths:
        - '{{ role_path }}/../../vars'
  loop_control:
    loop_var: docker_vars

- name: Download helm install script
  get_url:
    url: https://raw.githubusercontent.com/helm/helm/master/scripts/get-helm-3
    dest: /tmp/get_helm.sh
    mode: '0700'

- name: Replace "/usr/local/bin" by "/bin"
  replace:
    path: /tmp/get_helm.sh
    regexp: '/usr/local/bin'
    replace: "/bin"

- name: Install Helm
  command: "/tmp/get_helm.sh -v {{ helm_version }}"
  changed_when: false

- name: Tidy up Helm script
  file:
    path: '/tmp/get_helm.sh'
    state: absent

- name: Add stable helm repo
  command: |
    helm repo add stable {{ helm_stable_repo_url }}
  changed_when: false

- name: Update stable helm repo
  command: |
    helm repo update
  changed_when: false
